Subject: discussion of governance principles

From: Eliot Lear <[email-masked]>
Date: Thu, 06 Feb 2014 13:37:49 +0100

Hi everyone,

The IAB has a list called internetgovtech to discuss key issues relating
to policy and the Internet architecture.  I have kicked off a discussion
about principles of Internet governance on that list as relates to the
IETF on that list.  The list specifically not meant to supplant other
lists on the general discussion of principles, as ISOC and /1net (among
others) have lists for that.  Rather, what are the big issues for us?

If you want to join...

https://www.iab.org/mailman/listinfo/internetgovtech

Eliot